mixed-port: 7890
allow-lan: false
mode: rule
log-level: info

proxies:
  - name: HYSTERIA-JP
    type: hysteria2
    server: jp.vps4leo.com
    port: 443
    password: leo123456
    sni: jp.vps4leo.com
    skip-cert-verify: false
    udp: true

    transport:
      udp:
        hopInterval: 10s

    fast-open: true

  - name: REALITY-JP
    type: vless
    server: jp.vps4leo.com
    port: 8443
    uuid: 6d76803d-09a3-456b-981c-563fc04ef855
    network: tcp
    tls: true
    udp: true
    servername: www.apple.com
    client-fingerprint: chrome
    reality-opts:
      public-key: -qiUc6nbby5z3HWfMJSZbPJkIQSJSkgTGoVo7k5OxVA
      short-id: 6ba85179e30d4fc2

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - HYSTERIA-JP
      - REALITY-JP
      - DIRECT

rules:
  - DOMAIN-SUFFIX,google.com,PROXY
  - DOMAIN-SUFFIX,github.com,PROXY
  - DOMAIN-SUFFIX,openai.com,PROXY
  - GEOIP,CN,DIRECT
  - MATCH,PROXY


